Bug 530254 - Package mime-type information for Coq files
Summary: Package mime-type information for Coq files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coq
Version: 14
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Alan Dunn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-22 01:33 UTC by Matt McCutchen
Modified: 2011-04-15 21:48 UTC (History)
4 users (show)

Fixed In Version: coq-8.3pl1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-15 21:48:05 UTC
Type: ---


Attachments (Terms of Use)
Draft mime-type information (728 bytes, text/xml)
2009-10-22 01:33 UTC, Matt McCutchen
no flags Details

Description Matt McCutchen 2009-10-22 01:33:35 UTC
Created attachment 365637 [details]
Draft mime-type information

Description of problem:
It might be nice to package some mime-type information for Coq files as a step toward making them xdg-openable in coqide or Proof General.

Version-Release number of selected component (if applicable):
coq-8.2-1.fc11.x86_64

Comment 1 Richard W.M. Jones 2009-10-22 08:03:21 UTC
I have no idea what this involves though.  Should
the bug be assigned to another package in Fedora
or to some upstream project?

Comment 2 Matt McCutchen 2009-10-22 14:31:36 UTC
The mime types could be in either the Coq package or the main "freedesktop.org.xml" catalog in the shared-mime-info package.  I was leaning toward putting them in the Coq package since they seem so specialized.  Under that assumption, since the upstream Coq project doesn't provide any desktop integration, I thought it would be appropriate to add the mime types in Fedora.  If the mime types are to go in "freedesktop.org.xml", that just requires entering a freedesktop bug.

Comment 3 Bug Zapper 2010-04-28 10:54:58 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Richard W.M. Jones 2010-04-28 12:35:58 UTC
Bump to Rawhide.

Comment 5 Bug Zapper 2010-07-30 10:45:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2011-04-01 21:13:06 UTC
coq-8.3pl1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/coq-8.3pl1-1.fc15

Comment 7 Matt McCutchen 2011-04-01 21:19:46 UTC
Mmm... the MIME type name should describe the content, not the application used to open it.  And Coq vernacular is not XML.

Comment 8 Fedora Update System 2011-04-02 02:47:16 UTC
Package coq-8.3pl1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coq-8.3pl1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/coq-8.3pl1-1.fc15
then log in and leave karma (feedback).

Comment 9 Jerry James 2011-04-04 15:57:12 UTC
(In reply to comment #7)
> Mmm... the MIME type name should describe the content, not the application used
> to open it.

Good point.  So a "coqide" -> "coq" change will fix that.

> And Coq vernacular is not XML.

It isn't, but I don't understand why you would say so.  Did I do something that indicated otherwise?

Comment 10 Matt McCutchen 2011-04-04 17:20:30 UTC
(In reply to comment #9)
> > And Coq vernacular is not XML.
> 
> It isn't, but I don't understand why you would say so.  Did I do something that
> indicated otherwise?

You have <sub-class-of type="application/xml"/> .

OTOH, <sub-class-of type="text/plain"/> would be correct and will cause text editors to show up in the list of applications capable of opening the file.

Comment 11 Jerry James 2011-04-04 17:37:40 UTC
Whoops!  That's the trouble with learning by example.  I forgot to change that line from the example I copied. <*blush*>

Okay, I'll fix those two things and we can try this again.  Thanks for spotting the bugs, Matt.

Comment 12 Fedora Update System 2011-04-04 20:54:40 UTC
coq-8.3pl1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/coq-8.3pl1-2.fc15

Comment 13 Fedora Update System 2011-04-15 21:47:49 UTC
coq-8.3pl1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.